<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_0ee0a25025d73f8693" . "a4bb37a3c298ac" => base64_decode("Y2hlY2tlZF9p" . "bl9ieQ=="), "_d5ebf376f635c188ec65813608e6" . "ece5" => base64_decode("bmV3X3Z" . "lcnNpb2" . "4="), "_6e38cb9e043a" . "07cd69a1711a6" . "704c62a" => base64_decode("cGFyZW5" . "0X2lk"));
use Claromentis\Core\Event\GenericEvent;


class CheckinDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetCheckedInBy()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_0ee0a25025d73f8693a4bb37a3c2" . "98ac"]);
    }
    
    
    public function GetNewVersion()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_d5ebf376f" . "635c188ec6" . "5813608e6e" . "ce5"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_6e38cb9e043a07" . "cd69a1711a6704c" . "62a"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}